<?php
use CRM_Contactcats_ExtensionUtil as E;

return [
  'name' => 'ContactCategory',
  'table' => 'civicrm_contact_category',
  'class' => 'CRM_Contactcats_DAO_ContactCategory',
  'getInfo' => fn() => [
    'title' => E::ts('Contact Category'),
    'title_plural' => E::ts('Contact Categories'),
    'description' => E::ts('Stores a category for each contact'),
    'log' => FALSE,
  ],
  'getIndices' => fn() => [
    'index_category' => [
      'fields' => [
        'category' => TRUE,
      ],
    ],
  ],
  'getFields' => fn() => [
    'id' => [
      'title' => E::ts('ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'Number',
      'required' => TRUE,
      'description' => E::ts('Unique ID, corresponds to contact id'),
      'primary_key' => TRUE,
      'auto_increment' => TRUE,
    ],
    'contact_id' => [
      'title' => E::ts('Contact ID'),
      'sql_type' => 'int unsigned',
      'input_type' => 'EntityRef',
      'required' => TRUE,
      'description' => E::ts('Same as id but for FormBuilder'),
      'input_attrs' => [
        'label' => E::ts('Contact'),
      ],
      'entity_reference' => [
        'entity' => 'Contact',
        'key' => 'id',
        'on_delete' => 'CASCADE',
      ],
    ],
    'category' => [
      'title' => E::ts('Category'),
      'sql_type' => 'int unsigned',
      'input_type' => 'Select',
      'required' => TRUE,
      'default' => 0,
      'pseudoconstant' => [
        'option_group_name' => 'contact_categories',
      ],
    ],
    'next_category' => [
      'title' => E::ts('Next Category'),
      'sql_type' => 'int unsigned',
      'input_type' => 'Select',
      'required' => TRUE,
      'default' => 0,
      'pseudoconstant' => [
        'option_group_name' => 'contact_categories',
      ],
    ],
  ],
];
